CREATE TABLE fah_transactions_master (
    EVENT_ID                    NUMBER       ,
    LEDGER_ID                   NUMBER       ,
    EVENT_TYPE                  VARCHAR2(30) ,
    TRANSACTION_DATE            DATE         ,
    AMOUNT                      NUMBER       ,
    CURRENCY                    VARCHAR2(3)  ,
    CONVERSION_DATE             DATE         ,
    CONVERSION_TYPE             VARCHAR2(30) ,
    CONVERSION_RATE             NUMBER       ,
    TRANSACTION_NUMBER          NUMBER       ,
    COST_CENTER                 VARCHAR2(5)  ,
    GL_ACCOUNT                  VARCHAR2(5)  ,
    TRANSACTION_TYPE            VARCHAR2(30) ,
    CUSTOMER_NAME               VARCHAR2(60) ,
    CUST_ACCOUNT_NUMBER         NUMBER       ,
    CUST_CLASSIFICATION         VARCHAR2(30) ,
    CONTRACT_TERMS              VARCHAR2(10) ,
    TERRITORY                   VARCHAR2(30) ,
    ACCOUNT_MANAGER             VARCHAR2(30) ,
    TRANSACTION_ID              NUMBER       ,
    DISTRIBUTION_LINE_NUMBER    NUMBER       ,
    DISTRIBUTION_TYPE           VARCHAR2(30) ,
    LINE_OF_BUSINESS            VARCHAR2(10) ,
    PRODUCT_DESCRIPTION         VARCHAR2(30) ,
    TRANSACTION_IMPORT_DATE     TIMESTAMP(6) ,
    ADDITIONAL_ATTRIBUTE_1      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_2      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_3      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_4      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_5      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_6      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_7      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_8      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_9      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_10     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_11     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_12     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_13     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_14     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_15     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_16     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_17     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_18     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_19     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_20     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_21     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_22     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_23     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_24     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_25     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_26     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_27     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_28     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_29     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_30     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_31     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_32     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_33     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_34     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_35     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_36     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_37     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_38     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_39     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_40     VARCHAR2(30) ,
    ADDITIONAL_DATE_1           DATE         ,
    ADDITIONAL_DATE_2           DATE         ,
    ADDITIONAL_DATE_3           DATE         ,
    ADDITIONAL_DATE_4           DATE         ,
    ADDITIONAL_DATE_5           DATE         ,
    ADDITIONAL_AMOUNT_1         NUMBER       ,
    ADDITIONAL_AMOUNT_2         NUMBER       ,
    ADDITIONAL_AMOUNT_3         NUMBER       ,
    ADDITIONAL_AMOUNT_4         NUMBER       ,
    ADDITIONAL_AMOUNT_5         NUMBER       ,
    INDUSTRY                    VARCHAR2(60) ,
    EVENT_ID                    NUMBER       ,
    LEDGER_ID                   NUMBER       ,
    EVENT_TYPE                  VARCHAR2(30) ,
    TRANSACTION_DATE            DATE         ,
    AMOUNT                      NUMBER       ,
    CURRENCY                    VARCHAR2(3)  ,
    CONVERSION_DATE             DATE         ,
    CONVERSION_TYPE             VARCHAR2(30) ,
    CONVERSION_RATE             NUMBER       ,
    TRANSACTION_NUMBER          NUMBER       ,
    COST_CENTER                 VARCHAR2(5)  ,
    GL_ACCOUNT                  VARCHAR2(5)  ,
    TRANSACTION_TYPE            VARCHAR2(30) ,
    CUSTOMER_NAME               VARCHAR2(60) ,
    CUST_ACCOUNT_NUMBER         NUMBER       ,
    CUST_CLASSIFICATION         VARCHAR2(30) ,
    CONTRACT_TERMS              VARCHAR2(10) ,
    TERRITORY                   VARCHAR2(30) ,
    ACCOUNT_MANAGER             VARCHAR2(30) ,
    TRANSACTION_ID              NUMBER       ,
    DISTRIBUTION_LINE_NUMBER    NUMBER       ,
    DISTRIBUTION_TYPE           VARCHAR2(30) ,
    LINE_OF_BUSINESS            VARCHAR2(10) ,
    PRODUCT_DESCRIPTION         VARCHAR2(30) ,
    TRANSACTION_IMPORT_DATE     TIMESTAMP(6) ,
    ADDITIONAL_ATTRIBUTE_1      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_2      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_3      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_4      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_5      VARCHAR2(150),
    ADDITIONAL_ATTRIBUTE_6      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_7      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_8      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_9      VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_10     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_11     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_12     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_13     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_14     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_15     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_16     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_17     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_18     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_19     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_20     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_21     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_22     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_23     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_24     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_25     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_26     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_27     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_28     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_29     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_30     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_31     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_32     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_33     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_34     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_35     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_36     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_37     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_38     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_39     VARCHAR2(30) ,
    ADDITIONAL_ATTRIBUTE_40     VARCHAR2(30) ,
    ADDITIONAL_DATE_1           DATE         ,
    ADDITIONAL_DATE_2           DATE         ,
    ADDITIONAL_DATE_3           DATE         ,
    ADDITIONAL_DATE_4           DATE         ,
    ADDITIONAL_DATE_5           DATE         ,
    ADDITIONAL_AMOUNT_1         NUMBER       ,
    ADDITIONAL_AMOUNT_2         NUMBER       ,
    ADDITIONAL_AMOUNT_3         NUMBER       ,
    ADDITIONAL_AMOUNT_4         NUMBER       ,
    ADDITIONAL_AMOUNT_5         NUMBER       ,
    INDUSTRY                    VARCHAR2(60) 
);
